Page MenuHomePhabricator

1.35.0-wmf.16 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.16
Release Date
Jan 20 2020, 12:00 AM
Backup Conductor
mmodell

2020 week 04 1.35-wmf.16 Changes wmf/1.35.0-wmf.16

This MediaWiki Train Deployment is scheduled for the week of Monday, January 20th:

Monday January 20thTuesday, January 21stWednesday, January 22ndThursday, January 23rdFriday
Backports only.Branch wmf.16 and deploy to Group 0 Wikis.Deploy wmf.16 to Group 1 Wikis.Deploy wmf.16 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.16 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.15
Next: 1.35.0-wmf.17

Event Timeline

mmodell created this task.Sep 25 2019, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 10:14 PM
thcipriani removed brennen as the assignee of this task.
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: mmodell.
thcipriani added a subscriber: brennen.
brennen moved this task from Backlog to In Progress on the User-brennen board.Jan 21 2020, 4:16 PM

Mentioned in SAL (#wikimedia-operations) [2020-01-21T17:20:19Z] <brennen> starting branch cut for T233864

Given this is still blocked, doesn’t this mean we’ll resume on the 3rd alongside .18 (T233866).

There are no deployments due to All Hands next week, right?

There are no deployments due to All Hands next week, right?

Yeah, that's correct. Given a solution, we'll likely deploy wmf.16 to all wikis on the 3rd before cutting wmf.18 on the 4th.

brennen closed this task as Resolved.Feb 4 2020, 4:18 AM

wmf.16 deployed to all wikis at 2020-02-03 23:24 UTC.